<!--
title: Serverless Framework Commands - AWS Lambda - Plugin List
menuText: plugin list
menuOrder: 17
description: List all available Serverless plugins
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->

### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/providers/aws/cli-reference/plugin-list)

<!-- DOCS-SITE-LINK:END -->

# Plugin List

List all available plugins on the terminal. Connected to the [Serverless plugin registry](https://github.com/serverless/plugins).

```bash
serverless plugin list
```

## Options

- _None_

## Provided lifecycle events

- `plugin:list:list`
